evhtp_request_t Struct Reference

a structure containing all information for a http request. More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_ENTRY (evhtp_request_s) next

## Data Fields

evhtp_t * | htp
| the parent evhtp_t structure More...
evhtp_connection_t * | conn
| the associated connection More...
evhtp_hooks_t * | hooks
| request specific hooks More...
evhtp_uri_t * | uri
| request URI information More...
evbuf_t * | buffer_in
| buffer containing data from client More...
evbuf_t * | buffer_out
| buffer containing data to client More...
evhtp_headers_t * | headers_in
| headers from client More...
evhtp_headers_t * | headers_out
| headers to client More...
evhtp_proto | proto
| HTTP protocol used. More...
htp_method | method
| HTTP method used. More...
evhtp_res | status
| The HTTP response code or other error conditions. More...
uint8_t | keepalive: 1
| set to 1 if the connection is keep-alive More...
uint8_t | finished: 1
| set to 1 if the request is fully processed More...
uint8_t | chunked: 1
| set to 1 if the request is chunked More...
uint8_t | error: 1
| set if any sort of error has occurred. More...
uint8_t | pad: 4
| to be used in evhtp2 for new stuff More...
evhtp_callback_cb | cb
| the function to call when fully processed More...
void * | cbarg
| argument which is passed to the cb function More...

## Detailed Description

a structure containing all information for a http request.

Definition at line 431 of file evhtp.h.

## Member Function Documentation

evhtp_request_t::TAILQ_ENTRY | ( | evhtp_request_s |  | ) |

## Field Documentation

evbuf_t* evhtp_request_t::buffer_in

buffer containing data from client

Definition at line 436 of file evhtp.h.

evbuf_t* evhtp_request_t::buffer_out

buffer containing data to client

Definition at line 437 of file evhtp.h.

evhtp_callback_cb evhtp_request_t::cb

the function to call when fully processed

Definition at line 449 of file evhtp.h.

void* evhtp_request_t::cbarg

argument which is passed to the cb function

Definition at line 450 of file evhtp.h.

uint8_t evhtp_request_t::chunked

set to 1 if the request is chunked

Definition at line 443 of file evhtp.h.

evhtp_connection_t* evhtp_request_t::conn

the associated connection

Definition at line 433 of file evhtp.h.

uint8_t evhtp_request_t::error

set if any sort of error has occurred.

Definition at line 443 of file evhtp.h.

uint8_t evhtp_request_t::finished

set to 1 if the request is fully processed

Definition at line 443 of file evhtp.h.

evhtp_headers_t* evhtp_request_t::headers_in

headers from client

Definition at line 438 of file evhtp.h.

evhtp_headers_t* evhtp_request_t::headers_out

headers to client

Definition at line 439 of file evhtp.h.

evhtp_hooks_t* evhtp_request_t::hooks

request specific hooks

Definition at line 434 of file evhtp.h.

evhtp_t* evhtp_request_t::htp

the parent evhtp_t structure

Definition at line 432 of file evhtp.h.

uint8_t evhtp_request_t::keepalive

set to 1 if the connection is keep-alive

Definition at line 443 of file evhtp.h.

htp_method evhtp_request_t::method

HTTP method used.

Definition at line 441 of file evhtp.h.

uint8_t evhtp_request_t::pad

to be used in evhtp2 for new stuff

Definition at line 443 of file evhtp.h.

evhtp_proto evhtp_request_t::proto

HTTP protocol used.

Definition at line 440 of file evhtp.h.

evhtp_res evhtp_request_t::status

The HTTP response code or other error conditions.

Definition at line 442 of file evhtp.h.

evhtp_uri_t* evhtp_request_t::uri

request URI information

Definition at line 435 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h